Insufficient Hostname Verification Affecting github.com/openshift/builder/pkg/build/builder package, versions *


0.0
medium

Snyk CVSS

    Attack Complexity Low
    User Interaction Required
    Integrity High
Expand this section
NVD
5.3 medium

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-GOLANG-GITHUBCOMOPENSHIFTBUILDERPKGBUILDBUILDER-472064
  • published 8 Oct 2019
  • disclosed 7 Oct 2019
  • credit Miloslav Trmac

How to fix?

A fix was pushed into the master branch but not yet published.

Overview

github.com/openshift/builder/pkg/build/builder is a package for image run by build pods to execute image building+pushing.

Affected versions of this package are vulnerable to Insufficient Hostname Verification. Builds that extract source from a container image can bypass the TLS host-name verification server identity check to ensure that the client is talking to the correct server and has not been redirected by a man in the middle attacker.